
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Redis教程(十)：持久化详解_Redis / iVAN</title>

    <meta name="description" content="Redis教程(十)：持久化详解_Redis 一.Redis提供了哪些持久化机制:     1). RDB持久化:     该机制是指在指定的时间间隔内将内存中的数据集快照写入磁盘.        2). AOF持久化:     该机制将以日志的形式记录服务器所处理的每一个写操作,在Redis服务器启动之初会读取该文件来重新构建数据库,以保证启动后数据库中的数据是完整的.     3). 无持久化:     我们可以通过配置的方式禁用Redis服务器的持久化功能,这样我们就可以将Redis视为一个功能加强版的memcached了.    ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Redis教程(十)：持久化详解_Redis</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、Redis提供了哪些持久化机制</strong>：</p>
<p>    1). RDB持久化：<br />
    该机制是指在指定的时间间隔内将内存中的数据集快照写入磁盘。    <br />
    2). AOF持久化:<br />
    该机制将以日志的形式记录服务器所处理的每一个写操作，在Redis服务器启动之初会读取该文件来重新构建数据库，以保证启动后数据库中的数据是完整的。<br />
    3). 无持久化：<br />
    我们可以通过配置的方式禁用Redis服务器的持久化功能，这样我们就可以将Redis视为一个功能加强版的memcached了。<br />
    4). 同时应用AOF和RDB。<br />
    <br /><strong>二、RDB机制的优势和劣势：</strong></p>
<p>   RDB存在哪些优势呢？</p>
<p>    1). 一旦采用该方式，那么你的整个Redis数据库将只包含一个文件，这对于文件备份而言是非常完美的。比如，你可能打算每个小时归档一次最近24小时的数据，同时还要每天归档一次最近30天的数据。通过这样的备份策略，一旦系统出现灾难性故障，我们可以非常容易的进行恢复。<br />
    2). 对于灾难恢复而言，RDB是非常不错的选择。因为我们可以非常轻松的将一个单独的文件压缩后再转移到其它存储介质上。<br />
    3). 性能最大化。对于Redis的服务进程而言，在开始持久化时，它唯一需要做的只是fork出子进程，之后再由子进程完成这些持久化的工作，这样就可以极大的避免服务进程执行IO操作了。<br />
    4). 相比于AOF机制，如果数据集很大，RDB的启动效率会更高。<br />
    <br />
   RDB又存在哪些劣势呢？</p>
<p>    1). 如果你想保证数据的高可用性，即最大限度的避免数据丢失，那么RDB将不是一个很好的选择。因为系统一旦在定时持久化之前出现宕机现象，此前没有来得及写入磁盘的数据都将丢失。<br />
    2). 由于RDB是通过fork子进程来协助完成数据持久化工作的，因此，如果当数据集较大时，可能会导致整个服务器停止服务几百毫秒，甚至是1秒钟。<br />
    <br /><strong>三、AOF机制的优势和劣势：</strong></p>
<p>   AOF的优势有哪些呢？</p>
<p>    1). 该机制可以带来更高的数据安全性，即数据持久性。Redis中提供了3中同步策略，即每秒同步、每修改同步和不同步。事实上，每秒同步也是异步完成的，其效率也是非常高的，所差的是一旦系统出现宕机现象，那么这一秒钟之内修改的数据将会丢失。而每修改同步，我们可以将其视为同步持久化，即每次发生的数据变化都会被立即记录到磁盘中。可以预见，这种方式在效率上是最低的。至于无同步，无需多言，我想大家都能正确的理解它。<br />
    2). 由于该机制对日志文件的写入操作采用的是append模式，因此在写入过程中即使出现宕机现象，也不会破坏日志文件中已经存在的内容。然而如果我们本次操作只是写入了一半数据就出现了系统崩溃问题，不用担心，在Redis下一次启动之前，我们可以通过redis-check-aof工具来帮助我们解决数据一致性的问题。<br />
    3). 如果日志过大，Redis可以自动启用rewrite机制。即Redis以append模式不断的将修改数据写入到老的磁盘文件中，同时Redis还会创建一个新的文件用于记录此期间有哪些修改命令被执行。因此在进行rewrite切换时可以更好的保证数据安全性。<br />
    4). AOF包含一个格式清晰、易于理解的日志文件用于记录所有的修改操作。事实上，我们也可以通过该文件完成数据的重建。<br />
    <br />
    AOF的劣势有哪些呢？<br />
    1). 对于相同数量的数据集而言，AOF文件通常要大于RDB文件。<br />
    2). 根据同步策略的不同，AOF在运行效率上往往会慢于RDB。总之，每秒同步策略的效率是比较高的，同步禁用策略的效率和RDB一样高效。<br /><strong>    <br />
四、其它：</strong></p>
<p>   <strong>1. Snapshotting:</strong></p>
<p>    缺省情况下，Redis会将数据集的快照dump到dump.rdb文件中。此外，我们也可以通过配置文件来修改Redis服务器dump快照的频率，在打开6379.conf文件之后，我们搜索save，可以看到下面的配置信息：<br />
    save 900 1              #在900秒(15分钟)之后，如果至少有1个key发生变化，则dump内存快照。<br />
    save 300 10            #在300秒(5分钟)之后，如果至少有10个key发生变化，则dump内存快照。<br />
    save 60 10000        #在60秒(1分钟)之后，如果至少有10000个key发生变化，则dump内存快照。<br />
    <br />
   <strong>2. Dump快照的机制：</strong></p>
<p>    1). Redis先fork子进程。<br />
    2). 子进程将快照数据写入到临时RDB文件中。<br />
    3). 当子进程完成数据写入操作后，再用临时文件替换老的文件。<br />
    <br />
 <strong>  3. AOF文件：</strong></p>
<p>    上面已经多次讲过，RDB的快照定时dump机制无法保证很好的数据持久性。如果我们的应用确实非常关注此点，我们可以考虑使用Redis中的AOF机制。对于Redis服务器而言，其缺省的机制是RDB，如果需要使用AOF，则需要修改配置文件中的以下条目：<br />
    将appendonly no改为appendonly yes<br />
    从现在起，Redis在每一次接收到数据修改的命令之后，都会将其追加到AOF文件中。在Redis下一次重新启动时，需要加载AOF文件中的信息来构建最新的数据到内存中。<br />
    <br />
  <strong> 4. AOF的配置：</strong></p>
<p>    在Redis的配置文件中存在三种同步方式，它们分别是：<br />
    appendfsync always     #每次有数据修改发生时都会写入AOF文件。<br />
    appendfsync everysec  #每秒钟同步一次，该策略为AOF的缺省策略。<br />
    appendfsync no          #从不同步。高效但是数据不会被持久化。<br />
    <br /><strong>   5. 如何修复坏损的AOF文件：</strong></p>
<p>    1). 将现有已经坏损的AOF文件额外拷贝出来一份。<br />
    2). 执行"redis-check-aof --fix &lt;filename&gt;"命令来修复坏损的AOF文件。<br />
    3). 用修复后的AOF文件重新启动Redis服务器。<br />
    <br /><strong>   6. Redis的数据备份：</strong></p>
<p>    在Redis中我们可以通过copy的方式在线备份正在运行的Redis数据文件。这是因为RDB文件一旦被生成之后就不会再被修改。Redis每次都是将最新的数据dump到一个临时文件中，之后在利用rename函数原子性的将临时文件改名为原有的数据文件名。因此我们可以说，在任意时刻copy数据文件都是安全的和一致的。鉴于此，我们就可以通过创建cron job的方式定时备份Redis的数据文件，并将备份文件copy到安全的磁盘介质中。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:53:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%99%e7%a8%8b/" title="教程">教程</a>, <a href="https://www.iamivan.net/tag/redis/" title="redis">redis</a>, <a href="https://www.iamivan.net/tag/%e8%af%a6%e8%a7%a3/" title="详解">详解</a>, <a href="https://www.iamivan.net/tag/%e6%8c%81%e4%b9%85%e5%8c%96/" title="持久化">持久化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Redis教程(十)：持久化详解_Redis的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZwv14b.html" rel="bookmark">Redis sort 排序命令详解&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍redis排序命令 redis支持对list,set,sorted set元素的排序 sort 排序命令格式: sort key [BY pattern] [LIMIT start count] [GET pattern] [ASC|DESC] [ALPHA] [STORE dstkey]  1) sort key (list) 这是最简单的情况,没有任何选项对集合自身元素排序并返回排序结果,默认为value升序. 示例: 复制代码 代码如下: 127.0.0.1:6379&gt; lpush			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0o38p.html" rel="bookmark">AngularJS入门教程之控制器详解&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AngularJS 控制器 AngularJS 控制器 控制 AngularJS 应用程序的数据.  AngularJS 控制器是常规的 JavaScript 对象. AngularJS 控制器 AngularJS 应用程序被控制器控制. ng-controller 指令定义了应用程序控制器. 控制器是 JavaScript 对象,由标准的 JavaScript 对象的构造函数 创建. AngularJS 实例 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrZq2p.html" rel="bookmark">AngularJS入门教程之过滤器详解&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这一步你将学习到如何创建自己的显示过滤器. 请重置工作目录: git checkout -f step-9 现在转到一个手机详细信息页面.在上一步,手机详细页面显示&quot;true&quot;或者&quot;false&quot;来说明某个手机是否具有特定的特性.现在我们使用一个定制的过滤器来把那些文本串图形化:√作为&quot;true&quot;:以及×作为&quot;false&quot;.来让我们看看过滤器代码长什么样子. 步骤8和步骤9之间最重要的不同在下面列出.你可以在GitHub里看到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqDKZOb.html" rel="bookmark">Kerberos安装教程及使用详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Kerberos协议: Kerberos协议主要用于计算机网络的身份鉴别(Authentication), 其特点是用户只需输入一次身份验证信息就可以凭借此验证获得的票据(ticket-granting ticket)访问多个服务,即SSO(Single Sign On).由于在每个Client和Service之间建立了共享密钥,使得该协议具有相当的安全性. 2. 安装 Kerberos 2.1. 环境配置 安装kerberos前,要确保主机名可以被解析. 主机名 内网IP 角色 Vmw201			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYRgZb.html" rel="bookmark">Redis 对比 Memcached 并在 CentOS 下进行安装配置详解&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,本篇文章主要介绍了Redis 对比 Memcached 并在 CentOS 下进行安装配置详解,有兴趣的可以了解一下. 了解一下 Redis Redis 是一个开源.支持网络.基于内存.键值对的 Key-Value 数据库,使用 ANSI C 编写,并提供多种语言的 API ,它几乎没有上手难度,只需要几分钟我们就能完成安装工作,并让它开始与应用程序顺畅协作.换句话来说,只需投入一小部分时间与精力,大家就能获得立竿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBv8Wb.html" rel="bookmark">Redis2&period;8配置文件中文详解&lowbar;Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				add by zhj : 没找到本文的原文.另外,redis配置文件中文翻译 也翻译的不错,可以与本文对照看.两篇文章都是以Redis2.8来介绍的 在Redis中直接启动redis-server服务时, 采用的是默认的配置文件.采用redis-server xxx.conf 这样的方式可以按照指定的配置文件来运行Redis服务.下面是Redis2.8.9的配置文件各项的中文解释. #daemonize no 默认情况下, redis 不是在后台运行的,如果需要在后台运行,把该项的值更改为 ye			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn5ZAM.html" rel="bookmark">Dreamweaver MX 2004 入门教程之界面详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dreamweaver|教程|入门教程|详解 本站原创内容,转载请注明出处网页教学网. Dreamweaver MX 2004 具有全新的风格和启动画面,请去baidu或google搜索这个软件下载并安装,在此不做详细介绍.Dreamweaver MX 2004提供了面向设计人员的布局和面向手工编码人员需求的布局.首次启动Dreamweaver MX 2004时,会出现一个工作区设置对话框(如下图): 您可以从中选择一种适合您的工作区布局.如果您不熟悉编写代码,请您选择&quot;设计者&quot;.如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKKDlM.html" rel="bookmark">YII Framework教程之异常处理详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了YII Framework异常处理.分享给大家供大家参考,具体如下: 异常无处不在,作为程序员,活着就是为了创造这些异常,然后修复这些异常而存在的.YII框架封装了PHP的异常,让异常处理起来更简单. 使用 YII处理错误和异常的配置方法: 你可以在入口文件中定义YII_ENABLE_ERROR_HANDLER和YII_ENABLE_EXCEPTION_HANDLER为true. 引发异常的情况 1.触发onError或者onException事件 2.人为抛出异常.例如 throw			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnL6Vkb.html" rel="bookmark">Git 教程之基本操作详解&lowbar;相关技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Git 基本操作 Git 的工作就是创建和保存你项目的快照及与之后的快照进行对比.本章将对有关创建与提交你的项目快照的命令作介绍. 获取与创建项目命令 git init 用 git init 在目录中创建新的 Git 仓库. 你可以在任何时候.任何目录中这么做,完全是本地化的. 在目录中执行 git init,就可以创建一个 Git 仓库了.比如我们创建 runoob 项目: $ mkdir runoob $ cd runoob/ $ git init Initialized empty Git			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4NaqM.html" rel="bookmark" class="title">抓包技术-关于在镜像端口抓包分析问题</a>
					<div>
						问题描述 关于在镜像端口抓包分析问题 30C 实验中若是使用具备镜像端口功能的路由器,将流经实际网卡的所有数据包都镜像到另一个端口,请问可以用哪些方法捕获该镜像端口上的数据包并进行解析分析.各种方法的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boaY3p.html" rel="bookmark" class="title">看看String类的构造方法</a>
					<div>
						Stringpublic String(byte[] bytes,              String enc)       throws UnsupportedEncodingException ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlo3Lb.html" rel="bookmark" class="title">怎么样让servlet访问web-inf下的网页或jsp文件呢</a>
					<div>
						js|servlet|web|访问|网页   怎么样让servlet访问web-inf下的网页或jsp文件呢.因为web-inf下,应用服务器把它指为禁访目录,即直接在浏览器里是不能访问到的.因些,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4QL9b.html" rel="bookmark" class="title">如何找回丢失的MSN密码</a>
					<div>
						有朋友十分着急,原来他忘记了MSN密码,该怎么办呢? 他在填写&quot;找回密码&quot;,让填写国家地区,很早前因为想要大邮箱,就填了美国(hoho,那时候我们都是这么注册的),地区随便选的,现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6KvVz.html" rel="bookmark" class="title">配置Windows 2000系统的磁盘配额</a>
					<div>
						在Windows 2000 Server为服务器操作系统的计算机网络中,系统管理员有一项很重要的任务,即为访问服务器资源的客户机设置磁盘配额,也就是限制他们一次性访问服务器资源的卷空间数量.这样做的目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKOdmM.html" rel="bookmark" class="title">oracle学习（五） 数据完整性</a>
					<div>
						数据的完整性就是指数据库中的数据在逻辑上的一致性和准确性.数据完整性一般分为3种:域完整 性.实体完整性和参照完整性.完整性约束是通过限制列数据.行数据和表之间的数据来保证数据的完 整性.完整性约束定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nmq0z.html" rel="bookmark" class="title">数据批量导入Oracle数据库</a>
					<div>
						SQL*LOADER是大型数据 仓库选择使用的加载方法,因为它提供了最快速的途径(DIRECT,PARALLEL).现在,我们抛开其理论不谈,用实例来使 您快速掌握SQL*LOADER的使用方法. 首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB48jb.html" rel="bookmark" class="title">Photoshop制作情人节心形玫瑰图案</a>
					<div>
						心形玫瑰跟普通玫瑰的制作方法相同,只是构图的时候需要按照心形的轮廓来规划.可以先做出边缘的花瓣,大致组成心形后再制作中间的花瓣. 最终效果 三联推荐:photoshop7.0迷你版免费下载    |  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm707lb.html" rel="bookmark" class="title">如何让excel数据自动排列</a>
					<div>
						  1.打开需要排序的Excel表格 2.点击工具栏的&quot;开始&quot;→&quot;排序和筛选&quot;→&quot;排序&quot; 3.我们可以根据自己的需求对数据进行升序或者降序的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrRq8p.html" rel="bookmark" class="title">一步一步教你用Word2007制作公章</a>
					<div>
						有的时候,我们需要将自己单位的公章附在Word文档中,这可成为了一个难题,用Photoshop等设计软件制作,对于绝大多数人而言,难度太大.其实,易捷PDF转换成Word认为制作公章,最简单的软件是W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAreJnp.html" rel="bookmark" class="title">Windows7远程登入ubuntu12&period;04</a>
					<div>
						  以前看过一些资料说ubuntu默认是安装ssh的,而我是自己安装了一个ssh,并且安装之后,看到ssh服务已经启动.总之目的就是希望有一个ssh服务,并且已经启动,如果没有安装,就先安装一个;如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42Zr1M.html" rel="bookmark" class="title">jsp跳转servlet时爆404错误</a>
					<div>
						问题描述 jsp跳转servlet时爆404错误 jsp跳转到servlet时,爆404错误,是servlet的配置有问题吗?可是是按照myeclipse自动配置的web.xml呀.配图,求大神指教, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Axwz.html" rel="bookmark" class="title">了解Groovy、Scala和Clojure如何将行为融入到Java类中</a>
					<div>
						Java 语言的设计有目的地进行了一定的删减,以避免前代产品中已发现的一些问题.例如,Java 语言的设计人员感觉 C++++ 中的多重继承性带来了太多复杂性,所以它们选择不包含该特性.事实上,他们在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQPg6z.html" rel="bookmark" class="title">libevent （二） 接收TCP连接</a>
					<div>
						Evconnlistener 机制为您提供了侦听和接受传入的 TCP 连接的方法.下面的函数全部包含在`&lt;event2/listener.h&gt;`中. evconnlistener 创建监听 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRx6Vz.html" rel="bookmark" class="title">新手-关于c&plus;&plus; primer plus和c&plus;&plus; primer的内容的简单问题，求解&excl;</a>
					<div>
						问题描述 关于c++ primer plus和c++ primer的内容的简单问题,求解! 从网上了解到,c++ primer比c++ primer plus要难一些,所以我先买c++ primet  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL727aM.html" rel="bookmark" class="title">JNI编程基础（一）</a>
					<div>
						JNI-Java Native Interface,是Java平台提供的一个特性,通过编写JNI函数实现Java代码调用C/C++代码以及C/C++代码调用Java代码的作用.从而达到利用不同语言的特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xZLRb.html" rel="bookmark" class="title">Error 1115 Unknow character set &OpenCurlyQuote;gbk&rsquo;</a>
					<div>
						在导入数据时,出现如题错误,百度搜索,说要重新编译,那就重新编译吧 make clean all 并删除掉原来mysql目录 ./configure  --prefix=/usr/local/mysq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgyoJM.html" rel="bookmark" class="title">Apache部署django项目</a>
					<div>
						我想这应该是很普遍的一篇文章,百度了一下确实有不少相关的文章,居然还在讲用&quot;mod_python&quot; , 我也是醉了.在些过程中颇费了些力气.在此记录. -------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBq2qM.html" rel="bookmark" class="title">Android常见的Event-driven方案</a>
					<div>
						分析Android常用的Event-driven方案,分析各自的设计思路,使用方式,优势劣势:方便在项目中针对性使用,也为设计自己的EDA(Event-driven Architecture)作铺垫. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg9r4M.html" rel="bookmark" class="title">FreeMarker整合Spring 3</a>
					<div>
						开发环境: System:Windows WebBrowser:IE6+.Firefox3+ JavaEE Server:tomcat5.0.2.8.tomcat6 IDE:eclipse.MyEcl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8vV5p.html" rel="bookmark" class="title">Google发布桌面应用程序最新版本Desktop 5</a>
					<div>
						      4月28日消息,搜索巨头Google日前发布最新版本的Google Desktop 5桌面程序,其中加入了全新界面和特性.      据ZDNET报道,Google桌面应用程序中集成了多款 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qe2XM.html" rel="bookmark" class="title">linux中Bash数组操作教程</a>
					<div>
						一.定义数组 1. 使用[]操作符 names[0]='zrong' names[1]='jacky' 2. 使用()直接赋值 names=('zrong' 'jacky') # 或 names=([ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkDKaM.html" rel="bookmark" class="title">定义一个bool变量之后出现段错误</a>
					<div>
						问题描述 定义一个bool变量之后出现段错误 问题出外这一段,大概功能是输入一个&quot;p 表达式&quot;,计算表达式的值,当代码如第一张图时,一个输出都没有,直接段错误:当代码如第二张图时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY15Vb.html" rel="bookmark" class="title">zip文件的问题</a>
					<div>
						问题描述 有一个zip文件,包含3个文件,两个xml(数据),一个txt(说明).txt文件中从第二行开始是对数据的说明:上报的报表是:1表:2表:如何在上传这个zip文件时,读出txt文件中的表名, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NGvPz.html" rel="bookmark" class="title">一个完整和全面的云服务器安全方案是什么样子的？</a>
					<div>
						对于很多企业用户来来说,由于云服务器替代传统服务器承载了与企业生存发展息息相关的互联网业务,使得用户对云安全的疑问很大程度上聚焦在云服务器的安全上. 云服务器安全吗?这个问题不仅仅限定在看不到摸不着的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4ADWb.html" rel="bookmark" class="title">老板要你在大学里学的十大技能</a>
					<div>
						当你具备了一下大部分技能,不管你是否名牌大学的毕业生,都可以在名企的http://www.aliyun.com/zixun/aggregation/32680.html&quot;&gt;校园招聘中占 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmqQ4b.html" rel="bookmark" class="title">codeforces George and Job</a>
					<div>
						/* 题意:给一个长度为n的序列, 从中选择长度为m的k个区间(任意两个区间不会有公共部分) 使得所选择的区间的和最大! 思路:这是一种很常见的dp dp[i][j] 表示的是前 i 个数选择 j 个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1WAeM.html" rel="bookmark" class="title">谷歌中国不走寻常路：四年竟有五个&OpenCurlyDoubleQuote;门&rdquo;　</a>
					<div>
						谷歌中国不走寻常路:四年竟有五个&quot;门&quot; &quot;2005底至2007年初,我们一直致力于将中文搜索网页做得最好.我们现在已经实现了'最大的索引.最新的结果.最精确的排序.最公正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqAxBp.html" rel="bookmark" class="title">通方CRM上海烟草应用案例</a>
					<div>
						一.案例简述 客户:上海烟草机械有限责任公司 行业:制造业 二.项目效果 使现场服务流程更加顺畅.高效 上海通方http://www.aliyun.com/zixun/aggregation/3273 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw5y8OM.html" rel="bookmark" class="title">Win2003下cwRsyncServer服务端与cwRsync客户端数据同步实例教程&lowbar;服务器其它</a>
					<div>
						说明: cwRsyncServer服务端   IP:192.168.21.128 cwRsync客户端   IP:192.168.21.129 实现目的: 把服务端D:\data目录中的数据通过任务计 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
